#
# spec file for package python-zope.hookable
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.hookable
Version:        4.0.4
Release:        3.3
Url:            http://www.python.org/pypi/zope.hookable
Summary:        Zope hookable
License:        ZPL-2.1
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/z/zope.hookable/zope.hookable-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Documentation requirements:
BuildRequires:  python-Sphinx
# Testing requirements:
BuildRequires:  python-zope.testing
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
Hookable object support.

Support the efficient creation of hookable objects, which are callable objects
that are meant to be replaced by other callables, at least optionally.

The idea is you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation. All users of the function, including those
that imported it, will see the change.

%package doc
Summary:        Zope hookable
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.hookable-%{version}

%build
python setup.py build
PYTHONPATH=$(echo $(pwd)/build/lib.*) python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -f %{buildroot}%python_sitearch/zope/hookable/_zope_hookable.c

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%python_sitearch/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.4:
  * Added support for Python 3.4.
- additional changes from version 4.0.3:
  * Updated boostrap.py to version 2.2.
  * Fixed extension compilation on Py3k.
- additional changes from version 4.0.2:
  * Fleshed out PyPI Trove classifiers.
- point the source URL to pypi
- rename CHANGES.txt to CHANGES.rst: changed upstream
- rename README.txt to README.rst: changed upstream
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.1: initial build
